## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-http-server-mock
Version:        1.7
Release:        %autorelease
Summary:        Python 3 library to mock a http server using Flask

# Please clarify GPL license version(s)
# https://github.com/ezequielramos/http-server-mock/issues/8
License:        GPL-3.0-only
URL:            https://github.com/ezequielramos/http-server-mock
Source:         %{pypi_source http_server_mock}

BuildArch:      noarch

BuildRequires:  python3-devel

# Test requirements are in requirements.txt:
#   - this file is not in the sdist
#   - it is redundant with install_requires
#   - it pins exact versions
#   - it contains unwanted coverage and linting dependencies
# It is simple enough to list manually:
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
http-server-mock is a HTTP Server Mock using Flask. You can use it to test
possible integrations with your application.}

%description %{common_description}


%package -n python3-http-server-mock
Summary:        %{summary}

%description -n python3-http-server-mock %{common_description}


%prep
%autosetup -n http_server_mock-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l http_server_mock


%check
%pytest


%files -n python3-http-server-mock -f %{pyproject_files}
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.7-7
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7-3
- Assert that %%pyproject_files contains a license file

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7-1
- Initial package (close RHBZ#2222834)
## END: Generated by rpmautospec
